#
#       LatePackets.awk
#
#  Print packets which were sent later than they should have been.
#  (Assumes bulksize=1, ntrain=1)
#
NR==1 {
   printf "Packets that were sent %d ms later than expected:\n", extradelay;
   prevSeq  = firstSeq  = $1;
   prevTime = firstTime = $2;
   printf "Seq# \t SendTime \t Expected St(P) \t Expected St(1) \n";
   printf "---------------------------------------------------------------\n";
   found=0;
}
{
   if ((($2 - prevTime) * 1000) > (sleeptime * ($1-prevSeq) + extradelay)) {
      printf "%d \t %f \t %f \t\t %f\n", $1, $2, prevTime + (sleeptime * ($1-prevSeq)) / 1000, firstTime + (sleeptime * ($1-firstSeq)) / 1000;
      found=1;
   }
   prevSeq  = $1;
   prevTime = $2;
}
END {
   if ( found == 0 )
      printf "None.\n";
   printf "---------------------------------------------------------------\n";
}
