#
#	stat1.awk
#
# finds statistics for roundtrip times (1st pass).
#
BEGIN {
   minrtt = 500000.0;
   printf "Statistics on Roundtrip times\n";
   losses = 0;
   lossStreak = 0;
}
{
   if ($2 >= 0.0) {
      if (maxrtt < $2)
	 maxrtt = $2;
      if (minrtt > $2)
	 minrtt = $2;
      sumrtt += $2;
      sumrtt2 += $2 * $2;
      nrtt++;
      if ($2 > 0.500)
	 rtt500++;
      if ($2 > 1.0)
	 rtt1000++;
      if (lossStreak > 0) {
	 print lossStreak > datfile".tmp2";
	 if (lossStreak == 1) {
	    printf "%6d ", $1-1 > datfile".tmp3";
	    printed++;
	 }
	 else {
	    printf "%6d-%6d ", $1-lossStreak, $1-1 > datfile".tmp3";
	    printed+=2;
	 }
	 if (printed >= 10 ) {
	    printf "\n" > datfile".tmp3";
	    printed=0;
	 }
      }
      lossStreak = 0;
   }
   else	{			## if rtt<0 => Packet lost (see udpread.c)
      losses++;
      lossStreak++;
   }
   
}
END {
   meanRTT = sumrtt/nrtt;
   printf "Maximum RTT = %f\n", maxrtt;
   printf "Minimum RTT = %f\n", minrtt;
   printf "Average RTT = %f\n", meanRTT;
   printf "Standard Dev. = %f\n", sqrt(sumrtt2/nrtt - (meanRTT * meanRTT));
   printf "500ms+ RTT = %d\n", rtt500;
   printf "1000ms+ RTT = %d\n\n", rtt1000;
   
   # Mean & High setting will be made thru a temp file (tmp)
   printf "%f %f", meanRTT, meanRTT * 2 > datfile".tmp";

   # Consecutive Losses will be found thru a temp file (tmp2)
}
