#
#	stat2.awk
#
# finds statistics for roundtrip times (2nd pass).
#
BEGIN {
   printf "Packets with high RTT (%.3f):\n", high;
   printf "Consecutive packets are marked with -\n";
   p=-1;
}
$2 >= 0.0 {
   if ($2 >= high) {
      if ($1 == p+1)
	 printf "-%6d %.3f  ", $1, $2;
      else
	 printf " %6d %.3f  ", $1, $2;
      printed++;
      if (printed == 5) {
	 printf "\n";
	 printed=0;
      }
      p=$1;
   }
   i = int($2/width) + 1;
   a[i]++;
   if (i > maxHist)
      maxHist = i;
}
END {
   # Histogram Data
   for (i = 1; i <= maxHist; i++) {
      if (i in a)
	 printf "%.5f %d\n", (i * width), a[i] > datfile".rtt.hist";
      else
	 printf "%.5f %d\n", (i * width), 0  > datfile".rtt.hist";
   }
}
