/*
 * udpexpt.h
 * Copyright (c) 1991 University of Maryland
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of U.M. not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  U.M. makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * U.M. DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL U.M.
 * BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 * OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author:  Dheeraj Sanghi, Department of Computer Science.
 */


#define RECVPORT	8175		/* port on which receiver waits */
#define	MIDPORT		8176		/* port on which echo process waits */
#define	READPORT	8177		/* Reader listens to this port */
#define MAXRCVBUF	32768		/* Maximum receive buffer */
#define	NO		0
#define	YES		1
#define	MAXFNAME	100		/* Maximum filename */
#define	MAXMESG		2048		/* Maximum packet size */


struct udprecord {
	struct	timeval	snd;		/* sender's timestamp */
	struct	timeval	midhost;	/* Echo timestamp */
	struct	timeval	rcv;		/* receiver's timestamp */
	int	num;			/* sender's pkt number */
	int	echonum;		/* echo's pkt number */
};
